# Dropshell

A system management tool for server operations, written in C++.

## Features

- System status monitoring
- Server configuration management
- Bash completion support
- Command-line interface with help and version information

## Building from Source

### Prerequisites

- CMake (>= 3.10)
- Boost C++ Libraries (program_options, filesystem, system)
- C++17 compatible compiler
- Debian packaging tools (for creating packages)

### Building

```bash
# Clone the repository
git clone https://github.com/j842/dropshell.git
cd dropshell

# Create build directory
mkdir build
cd build

# Configure and build
cmake ..
make
```

### Installing

#### From Source

```bash
# Install from source build
sudo make install
```

#### From Debian Package

To create a Debian package:

```bash
# Install build dependencies
sudo apt-get install devscripts debhelper cmake libboost-all-dev

# Build the package
dpkg-buildpackage -us -uc

# Install the package
sudo dpkg -i ../dropshell_1.0.0-1_*.deb
```

## Usage

```bash
# Show help
dropshell help

# Show version
dropshell version

# List configured servers
dropshell servers
```

## Configuration

The configuration file is located at `/etc/dropshell.conf`. You can modify this file to change default settings.

## License

MIT License - see LICENSE file for details