#include "dropshell.hpp"
#include <iostream>

namespace dropshell {

void print_help(const boost::program_options::options_description& desc) {
    std::cout << "Usage: dropshell [OPTIONS] COMMAND [ARGS]" << std::endl;
    std::cout << std::endl;
    std::cout << "A tool for managing server configurations" << std::endl;
    std::cout << std::endl;
    std::cout << "Commands:" << std::endl;
    std::cout << "  help           Show this help message" << std::endl;
    std::cout << "  version        Show version information" << std::endl;
    std::cout << "  init DIR       Initialize the user directory for server configurations" << std::endl;
    std::cout << std::endl;
    std::cout << "  status         Check system status" << std::endl;
    std::cout << "  servers        List configured servers" << std::endl;
    std::cout << "  servers NAME   Show details for specific server" << std::endl;
    std::cout << "  templates      List available templates" << std::endl;
    std::cout << "  run SERVER SERVICE COMMAND  Run a command on a specific service" << std::endl;
    std::cout << std::endl;
    std::cout << "Examples:" << std::endl;
    std::cout << "  dropshell servers" << std::endl;
    std::cout << "  dropshell servers myserver" << std::endl;
    std::cout << "  dropshell init /path/to/directory" << std::endl;
    std::cout << "  dropshell templates" << std::endl;
    std::cout << "  dropshell run myserver myservice status" << std::endl;
}

} // namespace dropshell 