#!/bin/bash

# Source common functions
source "$(dirname "$0")/_dockerhelper.sh"
source "$(dirname "$0")/_common.sh"

# Load environment variables
load_env "$1" || exit 1

# check if the service is running
if ! _is_container_running $CONTAINER_NAME; then
    echo "Service is not running - did not find container $CONTAINER_NAME."
    exit 1
fi

# curl -s -X GET http://localhost:8080/health | grep -q "OK"
if ! curl -s -X GET http://localhost:${HOST_PORT}/health | grep -q "OK"; then
    echo "Service is not healthy - did not get OK response from /health endpoint."
    exit 1
fi

echo "Service is healthy"
exit 0
